Subject: Re: MPI_QUERY

From: [email-masked] (Dan Nessett)
Date: Thu, 22 Apr 1993 14:12:52 -0800

>What does  mpi_query return for the len argument when the buffer descriptor
>object for the operation identified by the input handle
>contains a buffer component of type hvector or hindexed?
>
>David

This should be the number of elements. Eventhough the stride or index is
specified in bytes for (resp.) mpi_append_hvec() and mpi_append_hindexed(),
the buffer still holds a certain number of elements. The stide/index is
simply a byte-based means to indicate where in the buffer those elements
are.

Dan